import { Point } from '../../../math/geometry/point';
import { EdgeGeometry } from '../../../layout/core/edgeGeometry';
import { LinkedPoint } from './LinkedPoint';
import { PathEdge } from './PathEdge';
export declare class Path {
    EdgeGeometry: EdgeGeometry;
    private _pathPoints;
    get PathPoints(): Array<Point> | LinkedPoint;
    set PathPoints(value: Array<Point> | LinkedPoint);
    get Width(): number;
    constructor(edgeGeometry: EdgeGeometry);
    get End(): Point;
    get Start(): Point;
    ArrayOfPathPoints(): Point[];
    PathEdges(): IterableIterator<PathEdge>;
    FirstEdge: PathEdge;
    LastEdge: PathEdge;
    AddEdge(edge: PathEdge): void;
    SetFirstEdge(edge: PathEdge): void;
    toString(): string;
}
